/*
██╗  ██╗ █████╗ ██╗   ██╗███████╗███╗   ██╗    ███╗   ███╗ ██████╗ ██████╗ ██████╗  █████╗  ██████╗██╗  ██╗███████╗
██║  ██║██╔══██╗██║   ██║██╔════╝████╗  ██║    ████╗ ████║██╔═══██╗██╔══██╗██╔══██╗██╔══██╗██╔════╝██║ ██╔╝██╔════╝
███████║███████║██║   ██║█████╗  ██╔██╗ ██║    ██╔████╔██║██║   ██║██║  ██║██████╔╝███████║██║     █████╔╝ ███████╗
██╔══██║██╔══██║╚██╗ ██╔╝██╔══╝  ██║╚██╗██║    ██║╚██╔╝██║██║   ██║██║  ██║██╔═══╝ ██╔══██║██║     ██╔═██╗ ╚════██║
██║  ██║██║  ██║ ╚████╔╝ ███████╗██║ ╚████║    ██║ ╚═╝ ██║╚██████╔╝██████╔╝██║     ██║  ██║╚██████╗██║  ██╗███████║
╚═╝  ╚═╝╚═╝  ╚═╝  ╚═══╝  ╚══════╝╚═╝  ╚═══╝    ╚═╝     ╚═╝ ╚═════╝ ╚═════╝ ╚═╝     ╚═╝  ╚═╝ ╚═════╝╚═╝  ╚═╝╚══════╝
*/
Ponder.registry((event) => {
    event.create([
        'mekanismgenerators:hohlraum',
        Item.of('mekanismgenerators:hohlraum', '{mekData:{GasTanks:[{Tank:0b,stored:{amount:10L,gasName:"mekanismgenerators:fusion_fuel"}}]}}'),
        'mekanismgenerators:laser_focus_matrix'
    ])
    .scene('mekanism_fusion_activation', 'Activating the Fusion Reactor', 'kubejs:mekanism_fusion_activation', (scene, util) => {
        scene.world.showSection([2, 0, 0, 6, 4, 6], Facing.DOWN);
        scene.idle(15);

        scene.overlay.showText(65).text("To power up the Fusion Reactor, gather these essentials.").placeNearTarget().attachKeyFrame();
        scene.idle(85);

        scene.overlay.showText(105).text("Insert a Hohlraum filled with D-T fuel into the Controller.").placeNearTarget().attachKeyFrame();
        scene.showControls(105, [4.5, 5.5, 3.5], 'down').withItem('mekanismgenerators:hohlraum');
        scene.idle(115);

        scene.world.showSection([0, 0, 0, 1, 4, 6], Facing.DOWN);
        scene.idle(15);

        scene.overlay.showText(105).text("Shoot 400MRF of energy using Lasers into the Laser Matrix.").placeNearTarget().attachKeyFrame();
        scene.idle(115);

        scene.world.hideSection([1, 0, 0, 6, 4, 6], Facing.DOWN);
        scene.idle(15);
        scene.rotateCameraY(90);
        scene.idle(10);

        scene.overlay.showText(105).text("Ensure the Laser Amplifier's red face points towards the Matrix.").placeNearTarget().attachKeyFrame();
        scene.idle(115);

        scene.rotateCameraY(-90);
        scene.idle(10);

        scene.world.showSection([1, 0, 0, 6, 4, 6], Facing.DOWN);
        scene.idle(15);

        scene.world.hideSection([0, 0, 0, 1, 4, 6], Facing.DOWN);
        scene.idle(15);

        scene.overlay.showText(105).text("Fuel the Reactor with Deuterium and Tritium.").independent(-50);
        scene.overlay.showText(55).text("Supply Deuterium").placeNearTarget().attachKeyFrame();
        scene.idle(65);
        scene.overlay.showText(55).text("Supply Tritium").placeNearTarget().attachKeyFrame();
        scene.idle(65);

        scene.overlay.showText(85).text("The Reactor will blend D-T fuel at a specific rate from these inputs.").placeNearTarget().attachKeyFrame();
        scene.idle(85);
    });
});
